/* FONTS */
@font-face {
  font-family: "Cantarell";
  font-style: normal;
  font-weight: 800;
  src: url(fonts/cantarell-extra-bold-latin.woff2) format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA,
    U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2212, U+2215;
}
@font-face {
  font-family: "Cantarell";
  font-style: normal;
  font-weight: 600;
  src: url(fonts/cantarell-bold-latin.woff2) format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA,
    U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2212, U+2215;
}
@font-face {
  font-family: "Cantarell";
  font-style: normal;
  font-weight: 400;
  src: url(fonts/cantarell-regular-latin.woff2) format("woff2");
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA,
    U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2212, U+2215;
}

@font-face {
  font-family: "Cantarell";
  font-style: normal;
  font-weight: 300;
  src: url(fonts/cantarell-light.woff2) format("woff2");
  font-display: block;
}

@font-face {
  font-family: "Inter var";
  font-weight: 100 900;
  font-display: swap;
  font-style: normal;
  font-named-instance: "Regular";
  src: url("fonts/Inter.var.woff2") format("woff2");
}

:root {
  /* gnome hig palette */
  --blue1: rgb(153, 193, 241);
  --blue2: rgb(98, 160, 234);
  --blue3: rgb(53, 132, 228);
  --blue4: rgb(28, 113, 216);
  --blue5: rgb(26, 95, 180);
  --green1: rgb(143, 240, 164);
  --green2: rgb(87, 227, 137);
  --green3: rgb(51, 209, 122);
  --green4: rgb(46, 194, 126);
  --green5: rgb(38, 162, 105);
  --yellow1: rgb(249, 240, 107);
  --yellow2: rgb(248, 228, 92);
  --yellow3: rgb(246, 211, 45);
  --yellow4: rgb(245, 194, 17);
  --yellow5: rgb(229, 165, 10);
  --orange1: rgb(255, 190, 111);
  --orange2: rgb(255, 163, 72);
  --orange3: rgb(255, 120, 0);
  --orange4: rgb(230, 97, 0);
  --orange5: rgb(198, 70, 0);
  --red1: rgb(246, 97, 81);
  --red2: rgb(237, 51, 59);
  --red3: rgb(224, 27, 36);
  --red4: rgb(192, 28, 40);
  --red5: rgb(165, 29, 45);
  --purple1: rgb(220, 138, 221);
  --purple2: rgb(192, 97, 203);
  --purple3: rgb(145, 65, 172);
  --purple4: rgb(129, 61, 156);
  --purple5: rgb(97, 53, 131);
  --brown1: rgb(205, 171, 143);
  --brown2: rgb(181, 131, 90);
  --brown3: rgb(152, 106, 68);
  --brown4: rgb(134, 94, 60);
  --brown5: rgb(99, 69, 44);
  --light1: rgb(255, 255, 255);
  --light2: rgb(246, 245, 244);
  --light3: rgb(222, 221, 218);
  --light4: rgb(192, 191, 188);
  --light5: rgb(154, 153, 150);
  --dark1: rgb(119, 118, 123);
  --dark2: rgb(94, 92, 100);
  --dark3: rgb(61, 56, 70);
  --dark4: rgb(36, 31, 49);
  --dark5: rgb(0, 0, 0);
  --tile-radius: 9px;
  --default-tile-bg: #fefefe;
  /* gtk colors */
  --bg-color: #f6f5f4; /* HSL(30, 10%, 96%) */
  --bg-color-h: 30;
  --bg-color-s: 10%;
  --bg-color-l: 96%;
  --bg-color-hsla: hsla(var(--bg-color-h), var(--bg-color-s), var(--bg-color-l), 1);
  --fg-color: #2e3436; /* hsl(195,8%,20%) */
  --fg-color-h: 195;
  --fg-color-s: 8%;
  --fg-color-l: 20%;
  --fg-color-hsla: hsla(var(--fg-color-h), var(--fg-color-s), var(--fg-color-l), 1);
  --base-color: #ffffff;
  --selected-bg-color: #3584e4;
  --borders-color: #cdc7c2;
  --borders-color-h: var(--bg-color-h);
  --borders-color-s: var(--bg-color-s);
  --borders-color-l: calc(var(--bg-color-l) * .8); /* darken bg color for borders */
  --borders-color-hsla: hsla(var(--borders-color-h), var(--borders-color-s), var(--borders-color-l), 1);
  /* some non color params */
  --rounded-corner: 12px;
}

@media (prefers-color-scheme: dark) {
  /* gtk dark colors */
  :root {
    --bg-color: #353535;
    --bg-color-h: 0;
    --bg-color-s: 0%;
    --bg-color-l: 21%;
    --bg-color-hsla: hsla(var(--bg-color-h), var(--bg-color-s), var(--bg-color-l), 1);
    --fg-color: #eeeeec; /* HSL(60, 6%, 93%) */
    --fg-color-h: 60;
    --fg-color-s: 6%;
    --fg-color-l: 93%;
    --fg-color-hsla: hsla(var(--fg-color-h), var(--fg-color-s), var(--fg-color-l), 1);
    --base-color: #2d2d2d;
    --selected-bg-color: #15539e;
    --borders-color: #1c1c1c;
    --borders-color-l: calc(var(--bg-color-l) * .7); /* darker for dark */
  }
}


body {
  font-family: Inter, sans-serif;
  background-color: var(--base-color);
  color: var(--fg-color);
  box-sizing: border-box;
  padding: 2rem;
  font-size: 11pt;
  min-height: 100vh;
  display: grid;
  grid-template-rows: 1fr 4ex; 
}

a, a:visited {
  color: var(--selected-bg-color);
}

h1,h2 {
  text-decoration: none;
  color: var(--dark1);
  margin: 0 0 2em 0;
  font-weight: 800;
}
  h1:first-child { margin-top: 0; font-size: 14pt; }
  h2 { font-size: 12pt;  margin: 4em 0 2em 0; }
  h2:first-class { margin-top: 0 }
  h1 a { text-decoration: none; }
  h1 a:hover, h1 a:focus { text-decoration: underline; }
  

ul { /* master grid */
  display: grid;
  list-style: none;
  margin: 0; padding: 0;
  grid-template-columns: repeat(auto-fill, minmax(120px, 1fr));
  gap: 10px 30px;
}

ul>li { /* tile containers */
  display: grid;
  grid-template-rows: auto 5ex;
  gap: 8px;
}

ul>li>div { /* tiles */
  display: grid;
  place-items: center;
  background-color: var(--bg-color);
  width: 100%;
  aspect-ratio: 8 / 7;
  /* border: 1px solid var(--borders-color-hsla); */
  border-width: 0;
  border-radius: var(--tile-radius);
  isolation: isolate;
}
  ul>li>div:hover {
    background-color: hsl(var(--bg-color-h),var(--bg-color-s),calc(var(--bg-color-l)*0.98));
  }

ul>li>div>svg {
  display: block;
  z-index: 1;
  grid-row: 1 / -1;
  grid-column: 1 / -1;
  width: 32px; height: 32px;
  opacity: 1;
}
  ul>li>div:hover>svg {
    opacity: 0.9;
  }

  @media (prefers-color-scheme: dark) {
    ul>li>div>svg {
      
    }
    ul>li>div>svg path {
      fill: white;
    }
  }

ul>li>span { /* labels with filenames */
  display: block;
  text-align: center;
}

/* specific file types */

ul>li>div[class^="folder"] {
  background-image: url('img/folder-bg.svg'), linear-gradient(45deg, var(--blue3), var(--blue2));
  border-color: transparent;
  background-clip: padding-box;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: top right;
  

  /* box-shadow: 0 2px 4px rgba(0,0,0,0.2); */
}
  ul>li>div[class^="folder"] svg { margin-top: 16px; }
  ul>li>div[class^="folder"]:hover {
    background-image: url('img/folder-bg.svg'), linear-gradient(45deg, var(--blue2), var(--blue1));
  }
  
  ul>li>div[class^="folder"]>svg path {
    fill: #fff;
    opacity: 0.9;
  }

  @media (prefers-color-scheme: dark) {
    ul>li>div[class^="folder"] {
      border-color: hsl(var(--borders-color-h), var(--borders-color-s), calc(var(--bg-color-l) * .6)); /* darker for dark */
    }
  }


/* spefic mimetype colors as per */ 
/* https://gitlab.gnome.org/Teams/Design/app-mockups/-/blob/master/files/files-symbolics.png */

ul>li>div.application-certificate-symbolic>svg path { fill: var(--dark3); }
ul>li>div.application-certificate-symbolic { background-color: rgba(61,56,70,0.2); }

ul>li>div.application-x-executable-symbolic>svg path { fill: var(--blue3); }
ul>li>div.application-x-executable-symbolic { background-color: rgba(53,132,228,0.2); }

ul>li>div.x-office-document-symbolic>svg path { fill: var(--green3); }
ul>li>div.x-office-document-symbolic { background-color: rgba(51,209,122,0.2); }

ul>li>div.package-x-generic-symbolic>svg path { fill: var(--orange3); }
ul>li>div.package-x-generic-symbolic { background-color: rgba(255,120,0,0.2); }

ul>li>div.application-x-appliance-symbolic>svg path { fill: var(--orange3); }
ul>li>div.application-x-appliance-symbolic { background-color: rgba(255,120,0,0.2); }

ul>li>div.application-x-addon-symbolic>svg path { fill: var(--green3); }
ul>li>div.application-x-addon-symbolic { background-color: rgba(51,209,122,0.2); }

ul>li>div.x-office-presentation-symbolic>svg path { fill: var(--red3); }
ul>li>div.x-office-presentation-symbolic { background-color: rgba(224,27,36,0.2); }

ul>li>div.x-office-spreadsheet-symbolic>svg path { fill: var(--red3); }
ul>li>div.x-office-spreadsheet-symbolic { background-color: rgba(224,27,36,0.2); }

ul>li>div.x-office-drawing-symbolic>svg path { fill: var(--red3); }
ul>li>div.x-office-drawing-symbolic { background-color: rgba(224,27,36,0.2); }

ul>li>div.image-x-generic-symbolic>svg path { fill: var(--purple3); }
ul>li>div.image-x-generic-symbolic { background-color: rgba(145,65,172,0.2); }

ul>li>div.audio-x-generic-symbolic>svg path { fill: var(--yellow3); }
ul>li>div.audio-x-generic-symbolic { background-color: rgba(246,211,45,0.2); }

ul>li>div.x-office-calendar-symbolic>svg path { fill: var(--red3); }

ul>li>div.application-x-firmware-symbolic>svg path { fill: var(--red3); }

ul>li>div.text-x-pdf-symbolic>svg path { fill: var(--red3); }
ul>li>div.text-x-pdf-symbolic { background-color: rgba(224,27,36,0.2); }

ul>li>div.video-x-generic-symbolic>svg path { fill: var(--red3); }
ul>li>div.video-x-generic-symbolic { background-color: rgba(224,27,36,0.2); }

@media (prefers-color-scheme: dark) {
  ul>li>div.application-certificate-symbolic>svg path { fill: var(--dark5); }
  ul>li>div.application-x-executable-symbolic>svg path { fill: var(--blue5); }
  ul>li>div.x-office-document-symbolic>svg path { fill: var(--green5); }
  ul>li>div.package-x-generic-symbolic>svg path { fill: var(--orange1); }
  ul>li>div.application-x-appliance-symbolic>svg path { fill: var(--orange1); }
  ul>li>div.application-x-addon-symbolic>svg path { fill: var(--green5); }
  ul>li>div.application-x-appliance-symbolic>svg path { fill: var(--red1); }
  ul>li>div.x-office-spreadsheet-symbolic>svg path { fill: var(--red1); }
  ul>li>div.x-office-presentation-symbolic>svg path { fill: var(--red1); }
  ul>li>div.x-office-drawing-symbolic>svg path { fill: var(--red1); }
  ul>li>div.x-office-calendar-symbolic>svg path { fill: var(--red1); }
  ul>li>div.text-x-pdf-symbolic>svg path { fill: var(--red1); }
  ul>li>div.image-x-generic-symbolic>svg path { fill: var(--purple2); }
  ul>li>div.audio-x-generic-symbolic>svg path { fill: var(--yellow5); }
  ul>li>div.video-x-generic-symbolic>svg path { fill: var(--red1); }
  ul>li>div.application-x-firmware-symbolic>svg path { fill: var(--red1); }
}
/* thumbnailed view */
ul.thumbnails>li>div.thumbnailed {
  background-repeat: no-repeat;
  background-color: var(--bg-color);
  /* background-image: url('thumb/audio-3.svg'); */
  background-position: center;
  background-size: cover;
}
  ul.thumbnails>li>div.thumbnailed:hover {
    filter: brightness(108%);
  }

ul.thumbnails>li>div.thumbnailed.small {
  background-size: 60%;
}

ul.thumbnails>li>div.thumbnailed.portrait {
  background-position: center 12px;
  background-size: 80%;
  background-color: hsl(var(--bg-color-h), var(--bg-color-s), calc(var(--bg-color-l)*0.8));
}
  @media (prefers-color-scheme: dark) {
    ul.thumbnails>li>div.thumbnailed.portrait {
      background-color: hsl(var(--bg-color-h), var(--bg-color-s), calc(var(--bg-color-l)*0.5));
    }
  }

footer {
  text-align: center;
  font-size: 80%;
  font-weight: bold;
}

footer a {
  text-decoration: none;
  transition: all 300ms ease-in-out; 
}
footer a:hover {
  text-decoration: underline;
}
